extends Scene


func _on_meadow_20_interacted() -> void:
	$kq4_020_meadow.default_script(self)


func _on_meadow_2_interacted() -> void:
	$kq4_002_meadow.default_script(self)


func _on_beach_at_river_delta_interacted() -> void:
	$kq4_025_beach_at_river_delta.default_script(self)


func _on_forest_path_interacted() -> void:
	$kq4_027_forest_path.default_script(self)


func _on_room_looked() -> void:
	start_main_script(ScriptBuilder.init(
		ScriptBuilder.narrate("A cold river carves its way through this lush flowery meadow.")
	).build(self, "_on_script_complete"))
